What is the Language bar?

The Language bar appears on your desktop automatically when you add handwriting recognition, speech recognition, or an Input Method Editor (IME) as a method of entering text. In addition, if you add a second language or keyboard layout, you can display the Language bar from the taskbar.

You can use the buttons on the Language bar to perform tasks related to text services such as speech or handwriting recognition or IMEs. For example, if you are entering text with a handwriting input device, use the buttons on the Language bar to open the Writing Pad window, from which you can insert handwritten text into your document.

The buttons and options that are displayed on the Language bar depend on the text services you have installed and the software program that is currently active. For example, Microsoft Word 2002 supports speech recognition, while Notepad does not. If both programs are running, the speech buttons are displayed when Word is active, but disappear when you make Notepad the active program.

You can move the Language bar anywhere on your screen or minimize it to the taskbar. If you do not use it, you can close it. You should remove text services that you do not use, as they require computer memory and can affect performance.

If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.

Related Topics


Moving and hiding the Language bar

The Language bar is a floating toolbar that you can move on your screen, make transparent, shorten, or hide.

Move the Language bar

Move the Language bar to get it out of the way of other programs.

Step-by-step procedure

Hide the Language bar

Minimize the Language bar to perform tasks from the taskbar. Close the Language bar if you do not use it at all.

Step-by-step procedure

Make the Language bar transparent

You can make the Language bar nearly transparent when it is inactive. This allows you to see what is behind the Language bar.

Step-by-step procedure

Add or remove text labels

By default, each button on the Language bar is labeled with its name. You can turn off text labels to shorten the Language bar and display the button name by holding your mouse pointer over the button.

Step-by-step procedure

Add or remove Language bar buttons

If you are not using a particular button, you can remove it from the Language bar.

Step-by-step procedure

Remove a text service

If you are not using a text service that appears on the Language bar, you should remove it. Text services require computer memory and can affect computer performance.

Step-by-step procedure


Show the Language bar

Microsoft Windows graphic

To show the Language bar

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Preferences, click Language Bar.
  4. Select the Show the Language bar on the desktop check box.

Notes

  • XOX
  • The Language bar is displayed automatically if you install a text service such as handwriting, speech, or an Input Method Editor (IME). However, if you close the Language bar, you can use this procedure to redisplay it.
  • If you minimized the Language bar to the taskbar, click the Language icon ( Language Button) on the taskbar, and then click Show the Language bar.
  • After the Language bar is displayed, you can right-click it to display a menu. Use this menu to change settings for the Language bar, such as making it transparent or removing the text labels.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Move the Language bar

To move the Language bar

You can move the Language bar anywhere on your screen.

To move the Language bar

  1. Move your mouse pointer to the vertical bar at the left end of the Language bar.

    The move pointer Move appears.

  2. Drag the Language bar where you want it.

To make the Language bar vertical or horizontal

  1. Right-click the Language bar.
  2. To make the Language bar run vertically on your screen, click Vertical so that a check mark is displayed.

    To make the Language bar run horizontally, click Vertical so that the check mark is cleared.

Note

  • To hide the Language bar, click Minimize Minimize to keep it available as an icon on the taskbar. To close the Language bar, right-click the Language bar, and then click Close the Language bar.


Hide the Language bar

To hide the Language bar

  1. Right-click the Language bar.
  2. Do one of the following:
    • Click Minimize to reduce the Language bar to an icon on the taskbar.

      This option removes the Language bar from your desktop, but keeps it active and available.

    • Click Close the Language bar to turn off the Language bar.

      This option turns off the Language bar and removes it from your desktop.

Notes

  • To perform Language bar functions without the Language bar on your desktop, right-click the Language bar, and then click Additional icons in taskbar. You can then minimize the Language bar and click the text service icons on the taskbar to perform actions.
  • Closing the Language bar does not remove any text services. If you are not using a service (such as handwriting or speech recognition), you should remove the service. Text services require computer memory and might affect performance.
  • You can also minimize the Language bar by clicking Minimize Minimize on the Language bar.
  • You cannot close the Language bar if you have installed an Input Method Editor (IME).
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Make the Language bar transparent

To make the Language bar transparent

  1. Right-click the Language bar.
  2. Click Transparency so that a check mark is displayed. This will make the Language bar transparent when not in use.

    To turn off transparency, click Transparency so that the check mark is cleared.

Notes

  • Making the Language bar transparent reduces its visibility on your screen and allows you to see what is behind it. It becomes fully visible when you move the mouse pointer over it.
  • Transparency is available only if you use more than 256 display colors. For information on changing the number of colors that your monitor displays, click Related Topics.
  • Transparency is not available if the Language bar is minimized to the taskbar.


Turn text labels on or off

To turn text labels on or off

  1. Right-click the Language bar.
  2. To turn on text labels, select Text Labels so that a check mark is displayed.

    To turn off text labels and make the Language bar shorter, click Text Labels so that the check mark is cleared.

Notes

  • Adding text labels makes it easier to identify each button.
  • If you turn off text labels, you can identify a button by holding the mouse pointer over the button for a moment to display the button name.
  • If the Language bar is too long to fit on your screen, the rightmost buttons are dropped. If that occurs, you might want to turn off text labels.
  • Text Labels is not available if the Language bar is minimized to the taskbar.


Add or remove Language bar buttons

To add or remove Language bar buttons

  1. On the Language bar, click Options Options.
  2. Click the button that you want to add or remove.

    A check mark appears to the left of each button that is displayed on the Language bar.

Notes

  • Some buttons, such as Microphone and Handwriting, cannot be removed.
  • If you are not using a text service, such as handwriting recognition, you should remove the text service itself, rather than the buttons. For information about removing a text service, click Related Topics.
  • To shorten the Language bar, you can turn off text labels by right-clicking the Language bar and then clicking Text Labels. You can display the name of any button by holding your mouse pointer over the button.


Restore the Language bar defaults

To restore the Language bar defaults

  1. On the Language bar, click Options Options.
  2. Click Restore Defaults.

Note

  • This action restores all the available buttons to the Language bar. It does not change your current settings for text labels or transparency.


Language bar keyboard shortcuts

To do this | Press this
Switch between languages or keyboard layouts | CTRL+SHIFT or left ALT+SHIFT (see Notes for information about customizing this option)
Switch microphone on or off | Windows logo key +V
Switch between command mode and dictation mode (command mode is only available in some programs, such as Microsoft Word 2002) | Windows logo key +T
Open the Correction dialog box | Windows logo key +C
Turn handwriting on or off | Windows logo key +H
Turn Japanese IME on 101 keyboard on or off | ALT+~
Turn Korean IME on 101 keyboard on or off | Right ALT
Turn Chinese IME on 101 keyboard on or off | CTRL+SPACEBAR

Notes

  • You can set the key combination for switching between languages or keyboard layouts in the Advanced Key Setting dialog box. To open the Advanced Key Setting dialog box, right-click the Language bar, and then click Settings. Under Preferences, click Key Settings.
  • Speech recognition must be installed to use the speech shortcut keys. Handwriting recognition must be installed to use the handwriting shortcut key combination. An East Asian language Input Method Editor (IME) must be installed to use an IME shortcut.
  • The Windows logo key ( Windows logo key) is available on the bottom row of keys on most keyboards.


Text services overview

Text services enable you to enter and edit text in a document. Keyboards are the most common text service, but speech dictation and digitized handwriting are becoming more popular as advances are made in speech and handwriting recognition.

You can install and add the text services you need. The options include:

  • Keyboard layouts. Keyboards are generally language-specific, and some languages provide multiple keyboard layout options. For example, in the United States, you can type text using the standard keyboard, the Dvorak keyboard, or an International English keyboard.
  • Input Method Editors (IMEs). IMEs allow you to type traditional East Asian language characters with a keyboard.
  • Speech recognition. You can enter text and, in some programs, issue commands by speaking into a microphone connected to your computer.
  • Handwriting recognition. You can use a handwriting input device or your mouse to enter text by writing it. The computer converts your handwritten words to typed text.

Windows sets a default language and keyboard layout when you install Windows, but you can enable other text services using Text Services in Control Panel.

Add only those text services you intend to use. Each text service requires computer memory and can affect performance.

If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Turn text services off and on

To turn text services off and on

  1. Right-click the Language bar.
  2. Click Settings.
  3. On the Advanced tab, under System Configuration, select the Turn off advanced text services check box to turn text services off.

    To turn text services on, clear the check box.

Notes

  • Use this procedure to turn off handwriting recognition, speech recognition, and some accessibility features temporarily. These services can affect performance, and if you are not using them with your current program, you should turn them off.
  • If you are not using a text service at all, you should remove it. For information about removing text services, click Related Topics.
  • Turning off text services does not affect multiple languages or keyboards that you have added through Installed services on the Text Services and Input Languages dialog box.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Add another text service

To add another text service

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed services, click Add.
  4. In the Add Input Language dialog box, click an input language.
  5. If available, select the check box for the type of service you want to add, and then click a service in the list.

    For example, select the Keyboard layout/IME check box, and then click a keyboard layout in the list.

Notes

  • New text services are available to use as soon as you click OK or Apply.
  • If a language does not appear in the Input language list, the fonts for that language might not be installed. For information about installing East Asian and complex script languages, click Related Topics.
  • Add only those text services you intend to use. Each text service requires computer memory and can affect performance.


Remove a text service

To remove a text service

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed services, click the text service you want to remove.
  4. Click Remove.

Notes

  • If you remove the only text service or input method available for a particular language, the language is removed as well.
  • Remove those text services you do not use. Each text service requires computer memory and can affect performance.
  • You cannot remove all text services. You must have at least one service available for entering text into your computer.


Add another language

To add another language

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed services, click Add.
  4. In the Add Input Language dialog box, under Input language, click the language you want to add.
  5. Select the check box for the type of text service you want to install, if multiple options are available, and then click a service in the list.

    If Keyboard Layout/IME is the only type of service available, click an option in the list.

Note

  • You must select at least one text service for the new language.


Add another keyboard layout or Input Method Editor (IME)

To add another keyboard layout or Input Method Editor (IME)

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed services, click Add.
  4. In the Add Input Language dialog box, under Input language, click the language for the keyboard layout or Input Method Editor (IME) that you want to add.
  5. Select the Keyboard layout/IME check box, if multiple options are available, and then click a service in the list.

    If Keyboard Layout/IME is the only type of text service available, click an option in the list.

Notes

  • There might be only one keyboard layout for some languages.
  • If you have installed an IME, you might be able to get Help on that IME by clicking the Help button on the Language bar.


Switch languages or keyboards from the Language bar

To switch languages or keyboards from the Language bar

  1. On the Language bar, click the button representing languages Language button or keyboards Keyboards.
  2. In the menu, click the language or keyboard layout that you want to switch to.

Notes

  • The buttons are available on the Language bar only if you have added multiple languages or multiple keyboard layouts in Regional and Language Options in Control Panel.
  • You can minimize the Language bar and switch between languages or keyboards using the icons on the taskbar.
  • When entering text, you can use the keyboard, speech recognition, or handwriting recognition interchangeably without clicking a button.
  • The letters on the language button represent the active language. For example, EN stands for English.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Switch languages or keyboards from the taskbar

To switch languages or keyboards from the taskbar

  1. Right-click the Language bar.
  2. Click Additional icons in taskbar so that the check mark is displayed.
  3. Right-click the Language bar again.
  4. Click Minimize.
  5. Click the language icon Language or the keyboard icon Keyboard on the taskbar to display a menu.
  6. Click the language or keyboard you want to switch to.

Notes

  • The language icon is available only if you have added multiple languages or multiple keyboard layouts in Regional and Language Options in Control Panel.
  • When entering text, you can use the keyboard, speech recognition, or handwriting recognition interchangeably without clicking a button.
  • The letters on the icon represent the active language. For example, EN stands for English.
  • Some options, such as Text Labels and Transparency, are not available when the Language bar is minimized to the taskbar.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Handwriting recognition overview

Handwriting recognition allows you to enter text by writing instead of typing. You can enter text by using a handwriting device, such as a digital pen and tablet, or you can move your mouse to form words while holding down the primary mouse button.

Your handwriting is converted to typewritten characters and inserted where you want it. In some software programs, such as Microsoft Word 2002, you can insert your handwriting as Ink. Ink displays the text just as you wrote it.

Important

  • Handwriting recognition engines are language-specific. The first five Microsoft engines that are available are Simplified Chinese, Traditional Chinese, English, Japanese, and Korean. Engines for other languages will become available.

You can use handwriting recognition in programs that support it. These include:

  • Internet Explorer 5.0 or later (you can use handwriting in text boxes that appear on Web sites, but not in the Address bar).
  • Outlook Express 5.0 or later (use handwriting to write e-mail).
  • All Microsoft Office XP programs, such as Microsoft Word 2002 or Microsoft Outlook 2002.
  • Any other software program that is enabled to use the Microsoft handwriting recognition engine.

You can choose Writing Pad to enter text in a window that resembles a note pad, or you can choose Write Anywhere to write anywhere on your screen. You can also draw and insert pictures, using Drawing Pad.

If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Handwriting recognition requirements

To use handwriting recognition to enter text, you need the following hardware and software components:

Writing tool

  • Minimum: You can write by moving your mouse on the mouse pad (while holding down the primary mouse button) to form words.
  • Recommended: A handwriting input tool, such as a pen stylus and tablet, connected to your computer through a serial or USB port. You can also use a graphics tablet used with three-dimensional (3-D) drawing or computer-aided design (CAD) programs.

Computer speed and memory

  • Handwriting recognition works with any computer that runs XOX.

Software

  • The handwriting recognition engine must be installed. Handwriting recognition is shipped with Microsoft Office XP, but might not be installed. It might have been installed by your computer's manufacturer if you recently purchased a new computer, even without Microsoft Office XP.

Important

  • Handwriting recognition engines are language-specific. The first five Microsoft engines that are available are Simplified Chinese, Traditional Chinese, English, Japanese, and Korean. Engines for other languages will become available.

Note

  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Install handwriting recognition

If you recently purchased a new computer, the Microsoft handwriting recognition engine might have been installed by the computer manufacturer. No further installation is necessary. If you installed Microsoft Office XP, or if you purchased a new computer with it installed, the handwriting recognition engine is included but might not be installed. Follow the procedure below to install it.

To determine if the handwriting recognition engine is installed.

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Installed services, click Add.

    If Handwriting recognition is available as an option, the handwriting recognition engine is installed. If it is not available, the engine is not installed.

Note

  • XOX

To install handwriting recognition if Microsoft Office XP is installed

  1. Open Add or Remove Programs in Control Panel.
  2. Click Change or Remove Programs, click Microsoft Office XP Professional with FrontPage, and then click Change.
  3. Click Add or Remove Features, and then click Next.
  4. Under Features to install, double-click Office Shared Features.
  5. Double-click Alternative User Input, click the box next to Handwriting, and then click Run from My Computer.
  6. Click Update.

Note

  • XOX

Important

  • Handwriting recognition engines are language-specific. The first five Microsoft engines that are available are Simplified Chinese, Traditional Chinese, English, Japanese, and Korean. Engines for other languages will become available.

Notes

  • For the East Asian languages, the handwriting recognition engine is installed automatically with Microsoft Office XP.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Add handwriting recognition

To add handwriting recognition

Handwriting recognition is normally added automatically as a text service when it is installed. Use this procedure only if it you removed it as a text service and want to re-add it.

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed services, click Add.
  4. In the Add Input Language dialog box, click the language for which you want to install handwriting recognition in the Input language list.
  5. Select the Handwriting recognition check box, and then click an option in the list.

Important

  • Handwriting recognition engines are language-specific. The first five Microsoft engines that are available are Simplified Chinese, Traditional Chinese, English, Japanese, and Korean. Engines for other languages will become available.

Notes

  • The handwriting recognition engine must be installed on your computer before you can add it as a text service. For information about installing the engine, click Related Topics.
  • Remove handwriting recognition if you are not using it; it uses computer memory and can slow performance.
  • If a language does not appear in the Input language list, the fonts for that language might not be installed. For information about installing East Asian and complex script languages, click Related Topics.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Support speech and handwriting recognition in all programs

To support speech and handwriting recognition in all programs

  1. Right-click the Language bar.
  2. Click Settings.
  3. On the Advanced tab of the Text services and input languages dialog box, select the Extend support of advanced text services to all programs check box. This will provide handwriting recognition and speech recognition in all programs.

    To stop Windows from extending this support, clear the check box.

Notes

  • Use this procedure to specify whether Windows provides support for advanced text services (such as handwriting recognition, speech recognition, and some accessibility options) to programs that do not normally support these text services. Notepad is an example of this type of program.
  • To quickly turn on (or turn off) support for speech and handwriting recognition in all programs, on the Language bar, click Tools and then click Extended speech support.
  • Advanced text services can affect performance, so if you are not using them with your current program, you might want to turn them off.
  • Turning off text services does not affect multiple languages or keyboards that you have added through Installed services on the Text Services and Input Languages dialog box.
  • If you are not using a text service at all, you should remove it. For information about removing text services, click Related Topics.


Remove handwriting recognition

To remove handwriting recognition

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed services, click Handwriting recognition, and then click Remove.

Notes

  • Remove handwriting recognition if you are not using it; it uses computer memory and can slow performance.
  • Removing handwriting recognition does not delete it from your computer, it only removes it as an available text service and prevents it from being loaded into memory. You can add it again at any time.
  • To remove the handwriting recognition engine from the hard disk, follow the instructions in the program with which it was installed, or use Add or Remove Programs in Control Panel.
  • Handwriting recognition engines are language-specific. The first five Microsoft engines that are available are Simplified Chinese, Traditional Chinese, English, Japanese, and Korean. Engines for other languages will become available.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Use Writing Pad to enter text

To use Writing Pad to enter text

  1. On the Language bar, click Writing Pad Writing Pad.

    If Writing Pad is not available, click Handwriting Handwriting, and then click Writing Pad.

  2. Place the insertion point where you want to insert handwritten text.
  3. To write, use your handwriting input device, or move your mouse on the mouse pad while holding down the primary mouse button.

    In Writing Pad, write on the line, just as you would on lined notebook paper.

    Your handwriting is automatically recognized and entered at the insertion point.

Notes

  • In East Asian languages, Writing Pad is replaced by Boxed Input Boxed Input.
  • In Microsoft Word 2002 and in Microsoft Outlook 2002 (if you use Microsoft Word as your editor), you can enter text in Ink. Click Ink Ink on the Writing Pad toolbar to display text in Ink.
  • You can use handwriting recognition in the following Microsoft programs: Internet Explorer 5.0 or later, Outlook Express 5.0 or later, and Microsoft Office XP programs. Other software programs might support handwriting recognition as well.


Use Write Anywhere to enter text

To use Write Anywhere to enter text

  1. On the Language bar, click Write Anywhere Write Anywhere.

    If Write Anywhere is not available, click Handwriting Handwriting, and then click Write Anywhere.

  2. Place the insertion point where you want to insert handwritten text.
  3. To write, use your handwriting input device, or move your mouse on the mouse pad while holding down the primary mouse button.

    You can write anywhere on your screen.

    Your handwriting is automatically recognized and entered at the insertion point.

Notes

  • In Microsoft Word 2002 and Microsoft Outlook 2002 (if you use Microsoft Word as your editor), you can enter text in Ink. Click Ink Ink on the Write Anywhere toolbar to display text in Ink.
  • You can use handwriting recognition in the following Microsoft programs: Internet Explorer 5.0 or later, Outlook Express 5.0 or later, and Microsoft Office XP programs. Other software programs might also support handwriting recognition.


Change handwriting options

To change handwriting options

  1. On the Language bar, click Writing Pad Writing Pad or Write Anywhere Write Anywhere.

    If neither is available, click Handwriting Handwriting, and then click Writing Pad or Write Anywhere.

  2. Click Options Options in the upper-left corner of the Writing Pad or the Write Anywhere toolbar, and then click Options.
  3. You can change any of the following options in the Handwriting Options dialog box:
    Option | Description
    Pen color | Changes line color. This does not affect the color of text at the insertion point.
    Pen width | Changes line width.
    Add space after insertion | Automatically adds a space after each word.
    Automatic recognition | Recognizes your handwriting automatically after each pause. If you turn this off, click the Recognize Now button on the toolbar to insert text into your document.
    Recognition delay | Determines how quickly your handwriting is recognized.
    Toolbar layout | Determines where the toolbar buttons appear in Writing Pad, and how large the buttons are.
    Restore Default | Restores handwriting options to the default settings.
    Click the Writing Pad tab to see the next two options.
    Background | Determines the background color for the writing surface in Writing Pad.
    Number of lines | Determines the number of lines that are displayed on the writing surface in Writing Pad.


Correct handwriting errors

To correct handwriting errors

  1. Select the error, using your mouse or keyboard.

    If necessary, you can select several words or a phrase.

  2. Write the correct text using your handwriting tool or mouse.

Notes

  • As an alternative, you can select the word or words, and then type the correction.
  • In some programs, such as Microsoft Word 2002 and Microsoft Outlook 2002 (if you use Microsoft Word as your editor), you can select the word or words and then click Correction Correction on the Language bar. You can also right-click the error, and then click the correct alternative in the list. See the online Help in Microsoft Word for more information.


Use handwriting tools to draw

To use handwriting tools to draw

  1. On the Language bar, click Drawing Pad Drawing Pad.

    If Drawing Pad is not available, click Handwriting Handwriting, and then click Drawing Pad.

  2. Place the insertion point where you want to insert a drawing.
  3. To draw, use your handwriting input device or move your mouse on the mouse pad while holding down the primary mouse button.
  4. To change the line color or width, click Options Options in the upper-left corner, and then click Options.
  5. Once you finish, click Insert Drawing Insert Drawing.

Notes

  • Drawing Pad is only available in programs that are enabled to use it, such as Microsoft Word 2002 and Microsoft Outlook 2002 (if Microsoft Word is your e-mail editor).
  • For more information about the Drawing Pad toolbar buttons, click Related Topics.


Use an on-screen keyboard

To use an on-screen keyboard

  1. On the Language bar, click Handwriting Handwriting, and then click On-Screen Standard Keyboard or On-Screen Symbol Keyboard.
  2. Place the insertion point where you want to insert text.
  3. Do one of the following:
    • If you have a touch-screen computer, point to the buttons on the on-screen keyboard to enter text or move the insertion point.
    • If you do not have a touch-screen computer, use your mouse to click buttons on the on-screen keyboard to enter text or move the insertion point.

Notes

  • The on-screen keyboards are mainly intended for users with touch-screen computers. However, the On-Screen Symbol Keyboard enables you to enter characters that might not appear on your keyboard.
  • The on-screen keyboards provided with the handwriting recognition engine are intended for use with English and other European languages. On-screen keyboards available with Input Method Editors (IMEs) are documented in the IME Help.


Handwriting toolbars for English

Use the buttons on the Writing Pad and Write Anywhere toolbars to edit text or move your insertion point.

Click | To
Ink Ink | Enter text in handwritten format. This button is unavailable if the active program does not support Ink.
Text Text | Enter text in typed format.
Drawing Pad Drawing Pad | Open Drawing Pad.
Backspace Backspace | Delete the previous character at the insertion point.
Space Space | Enter a space at the insertion point.
Enter Enter | Start a new paragraph.
Tab Tab | Insert a tab at the insertion point.
Recognize Now Recognize Now | Switch between instant recognition and recognition when the entire word is written.
Write Anywhere Write Anywhere | Switch to the Write Anywhere program.
Writing Pad Writing Pad | Switch to the Writing Pad window.
Left Cursor Left Cursor | Move the insertion point to the left.
Up Cursor Up Cursor | Move the insertion point up.
Right Cursor Right Cursor | Move the insertion point to the right.
Down Cursor Down Cursor | Move the insertion point down.
Correction Correction | Display correction options (not available in some programs).
Clear Clear | Delete the handwritten text or drawing.
Expand Expand | Expand the toolbar.
Reduce Reduce | Shrink the toolbar.
On-screen keyboard On-Screen Keyboard | Display the on-screen standard keyboard.


Handwriting toolbars for East Asian languages

Use the buttons on the Boxed Input and Write Anywhere toolbars to edit text or move your insertion point. These toolbars are used in the Simplified Chinese, Traditional Chinese, Japanese, and Korean versions of handwriting recognition.

Click | To
Ink Ink | Enter text in handwritten format. This button is unavailable if the active program does not support Ink.
Text Text | Enter text in typed format.
Drawing Pad Drawing Pad | Open the Drawing Pad.
Character Auto Completion Character Auto Completion | Display a list of potential characters as you enter a character in a box in Boxed Input.
Lookup Lookup | Display a list of suggested characters as you enter a character in a box in Boxed Input.
Detail Mode Detail Mode | Display information about the characters in the Lookup or Character Auto Completion lists. (This button is only displayed after you open one of these lists. It is not available in Simplified Chinese.)
Kana to Kanji Conversion (Japanese only) Kana to Kanji Conversion | Convert Kana characters to Kanji at the insertion point.
Backspace Backspace | Delete the previous character at the insertion point.
Space Space | Enter a space at the insertion point.
Enter Enter | Start a new paragraph.
Tab Tab | Insert a tab at the insertion point.
Recognize Now Recognize Now | Switch between instant recognition and recognition when the entire word is written.
Write Anywhere Write Anywhere | Switch to the Write Anywhere program.
Boxed Input Boxed Input | Switch to the Boxed Input window.
Left Cursor Left Cursor | Move the insertion point to the left.
Up Cursor Up Cursor | Move the insertion point up.
Right Cursor Right Cursor | Move the insertion point to the right.
Down Cursor Down Cursor | Move the insertion point down.
Correction Correction | Display correction options (not available in some programs).
Clear Clear | Delete the handwritten text or drawing.
Expand Expand | Expand the toolbar.
Reduce Reduce | Shrink the toolbar.


Drawing Pad toolbar

Use the buttons on the Draw toolbar to modify and insert your drawing.

Click | To
Writing Pad Writing Pad | Switch to the Writing Pad window (English language version).
Boxed Input Boxed Input | Switch to the Boxed Input window (East Asian language versions).
Clear Clear | Delete the drawing and clear the window.
Remove Last Stroke Remove Last Stroke | Delete the last individual stroke.
Copy to Clipboard Copy to Clipboard | Copy the drawing to the Clipboard.
Insert Drawing Insert Drawing | Insert the drawing at the insertion point.


Speech recognition overview

Speech recognition allows you to enter text into a document by speaking. Instead of typing, you can compose e-mail, create a report, or modify figures in a spreadsheet by speaking into a microphone. In some programs, you can even format text or issue commands with your voice.

Speech recognition works with programs that support it. You can dictate text in any Microsoft Office XP program, in Internet Explorer 5.0, and in Outlook Express 5.0. Other software programs might also support speech recognition. You cannot dictate text in Notepad at this time.

Important

  • Speech recognition engines are language-specific. The first three Microsoft speech engines that are available are Simplified Chinese, U.S. English, and Japanese. Engines for other languages will become available.

To use speech recognition, you need a high-quality close-talk (headset) microphone and a sound card or USB port. Position the microphone so it is close to your mouth. Use the Microphone Wizard to configure your microphone.

It is important to train the speech recognition engine to understand your voice. As you read the training text aloud, the engine looks for patterns in the way you speak to help it interpret the words you say. Training creates a speech profile for the individual speaker.

Speech recognition is not designed for completely hands-free operation; you will get the best results if you use a combination of your voice and the mouse and keyboard, or your voice and a handwriting input device.

If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Getting started with speech recognition

You might need to perform the following tasks to use speech recognition.

Install speech recognition

The speech recognition engine might or might not be installed and ready to use. If not, you need to install it.

Step-by-step procedure

Set up and configure your microphone

Use a high-quality close-talk (headset) microphone, and ensure that it is connected and working correctly.

Step-by-step procedure

Train speech recognition

You need to train the speech recognition engine so it will understand your voice. The more you train it, the better it will be at converting speech to text.

Step-by-step procedure

Create a speech profile

A speech profile is created automatically for the first person that trains the speech recognition engine to recognize his or her voice. Anyone else using the same logon account must set up a separate profile before conducting training. In addition, you might want to create separate profiles for different noise environments.

Step-by-step procedure


Speech recognition requirements

To use speech recognition, you need the following hardware and software components:

  • A high-quality close-talk (headset) microphone connected to a sound card or USB port.
  • A 400 megahertz (MHz) or faster computer with 128 megabytes (MB) of memory.
  • Internet Explorer 5.0 or later
  • The speech recognition engine must be installed. If you recently purchased a new computer, the manufacturer might have installed it. It is also available with Microsoft Office XP, but might not have been installed. For information about installing the speech recognition engine, click Related Topics.

Important

  • Speech recognition engines are language-specific. The first three Microsoft speech engines that are available are Simplified Chinese, U.S. English, and Japanese. Engines for other languages will become available.

Note

  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Install speech recognition

If you recently purchased a new computer, the Microsoft speech recognition engine might have been installed by the computer manufacturer. No further installation is necessary. If you installed Microsoft Office XP, or if you purchased a new computer with it installed, the speech recognition engine is included, but might not be installed. Follow one of the procedures below to install it.

To determine if the speech recognition engine is installed

  • XOX

    If the Speech Recognition tab is available in Speech Properties, the speech recognition engine is installed. If it is not available, the engine is not installed.

To install speech recognition from Microsoft Word 2002

  1. Open Microsoft Word.
  2. On the Tools menu, click Speech.

    Speech recognition is available in all Microsoft XP Office programs, as well as other programs for which it is enabled, such as Microsoft Internet Explorer.

To install speech recognition using Add or Remove Programs

  1. Open Add or Remove Programs in Control Panel.
  2. Click Change or Remove Programs, click Microsoft Office XP Professional with FrontPage, and then click Change.
  3. Click Add or Remove Features, and then click Next.
  4. Under Features to install, double-click Office Shared Features.
  5. Double-click Alternative User Input, click Speech, click the down arrow, and then click Run from My Computer.
  6. Click Update.

Notes

  • XOX
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.

Important

  • Speech recognition engines are language-specific. The first three Microsoft speech engines that are available are Simplified Chinese, U.S. English, and Japanese. Engines for other languages will become available.


Add speech recognition

To add speech recognition

Speech recognition is normally added automatically as a text service when it is installed. Use this procedure only if it you removed it as a text service and want to re-add it.

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed services, click Add.
  4. In the Add Input Language dialog box, click a language in the Input language list.
  5. Select the Speech check box, and then click an option in the list.

Important

  • Speech recognition engines are language-specific. The first three Microsoft speech engines that are available are Simplified Chinese, U.S. English, and Japanese. Engines for other languages will become available.

Notes

  • Speech recognition requires computer memory and can affect your computer's performance, so you should remove it as a text service if you do not use it.
  • If speech recognition is not available, it might not be installed. For information about installing speech recognition, click Related Topics.
  • If a language does not appear in the Input language list, the fonts for that language might not be installed. For information about installing East Asian and complex script languages, click Related Topics.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Remove speech recognition

To remove speech recognition

  1. Right-click the Language bar.
  2. Click Settings.
  3. Under Installed services, click Speech under the language you are using, and then click Remove.

Notes

  • Speech recognition requires computer memory and can impact your computer's performance, so you should remove it as a text service if you do not use it.
  • Removing speech recognition does not delete it from your computer, it only removes it as an available text service and prevents it from being loaded into memory. You can add it again at any time.
  • To remove the speech recognition engine from your hard disk, follow the instructions in the program with which it was installed, or use Add or Remove Programs in Control Panel.
  • If speech recognition is not available, it might not be installed. For information about installing speech recognition, click Related Topics.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Set up and configure your microphone

To set up and configure your microphone

  1. Connect your headset microphone to your computer. Most microphones use an internal sound card, or connect to a computer through a USB port. Normally, the connections are in the back of the computer.
  2. Position the microphone near your mouth and just to the side. The microphone should not be directly in front of your mouth, and you should not be breathing into it.
    • Once you position the microphone, keep it in that position. Moving it after it is adjusted can affect the accuracy of your dictation.
    • Ensure that your office or room is relatively quiet so that your microphone picks up your voice and not background sounds.
  3. On the Language bar, click the Tools Tools button, and then click Options.
  4. On the Dictation tab, click Advanced Speech.
  5. On the Speech Recognition tab, under Microphone, click Configure Microphone.
  6. Follow the directions in the Microphone Wizard to configure your microphone and set the volume.

Notes

  • Use a high-quality close-talk (headset) microphone.
  • If sound does not register, make sure the microphone is turned on. Some microphones have a mute switch. Also, double-check the connections to the computer. Some computers have more than one location where a microphone can be plugged in.
  • For speech troubleshooting information, see online Help in any Microsoft Office XP program, or click Help and Support in the Start menu and search for "troubleshooting speech."


Change the speech recognition engine

To change the speech recognition engine

  1. XOX
  2. On the Speech Recognition tab, under Language, click the speech recognition engine you prefer.

Notes

  • If you select a different speech recognition engine, you must restart each speech-enabled program before the new engine is used.
  • Each speech recognition engine is language-specific and might be region-specific. For example, the Microsoft English ASR Version 5 Engine is intended for speakers of U.S. English. British, Australian, and other non-U.S. English speakers might have difficulty using it, due to variations in accent.
  • The first three Microsoft speech engines that are available are Simplified Chinese, U.S. English, and Japanese. Engines for other languages will become available.


Train speech recognition

To train speech recognition

  1. Click the Tools Tools button on the Language bar.
  2. Click Training.
  3. Follow the instructions in the Microsoft Speech Recognition Training Wizard.

Notes

  • Training the speech recognition engine is critical for improving accuracy. As you read the text aloud, the engine looks for patterns in the way you speak to help it interpret the words that you say.
  • A training session takes a few minutes. One training session provides good accuracy. Additional training sessions improve the accuracy.
  • Each person that uses speech recognition needs to conduct his or her own training. Training produces the user's speech profile.
  • Though the speech recognition engine filters out some background noise, a quieter environment produces improved recognition. Use a high-quality close-talk (headset) microphone.
  • If you make a mistake when pronouncing a word, don't worry. Just keep reading aloud. If you are stopped by a word that the training wizard cannot recognize, click Skip Word.


Create a speech profile

To create a speech profile

  1. XOX
  2. On the Speech Recognition tab, under Recognition Profiles, click New.
  3. Follow the directions in the Profile Wizard.

Notes

  • The first person to use speech recognition on a computer does not have to create a speech profile. The default speech profile is created automatically as you train the engine to recognize your voice.
  • A speech profile stores information about the sound of your voice, word pronunciation, accent, and speaking manner, as well as background noises. Each person who uses speech recognition on a computer should create a profile.
  • If you use speech recognition in different environments with different background sounds, you might want to create separate profiles for each environment. Background sound might affect speech recognition accuracy.


Speaking to a computer

When speaking to other people, we are usually understood whether we speak slowly or quickly, loudly or softly. When speaking to a computer, however, it is better to speak in a more consistent tone. When you talk to your computer:

  • Speak in a consistent, level tone. Speaking too loudly or too softly makes it difficult for the computer to interpret what was said.
  • Use a consistent rate of speech; do not speak too slowly or too quickly.
  • Speak without pausing between words; a phrase is easier for the computer to interpret than a single word.

Because we do not usually need to think about how we speak, it might seem a little awkward at first when you talk to your computer. With a little practice, however, speaking to your computer will become more natural.

Speech recognition tips

  • Start by working in a quiet environment so that the computer hears you instead of the sounds around you.
  • Use a high-quality close-talk (headset) microphone.
  • Keep the microphone in the same position; try not to move it around once it is adjusted.
  • Train your computer to recognize your voice by reading aloud the prepared training text in the Microsoft Speech Recognition Training Wizard. Additional training increases speech recognition accuracy. To perform speech training, click the Tools Tools button on the Language bar, and then click Training.
  • As you speak, do not be concerned if you do not see your words on the screen immediately. Continue speaking and pause at the end of each sentence. The computer will display the recognized text on the screen after it finishes processing your voice.
  • Pronounce words clearly, but do not separate each syllable in a word. For example, sounding out each syllable in "e-nun-ci-ate" will make it more difficult for the computer to recognize what you've said.


Turn your microphone on or off

To turn your microphone on or off

  1. On the Language bar, click Microphone Microphone to turn it on.
  2. Click Microphone again to turn it off.

Notes

  • Some headsets have a Mute button that allows you to turn your microphone on or off. The headset's Mute button overrides the button on the Language bar.
  • You can also say the command "microphone" to turn the microphone off.
  • Keyboard shortcut: Use Windows logo key +V to turn your microphone on or off.


Select a speech profile

To select a speech profile

  1. Click the Tools Tools button on the Language bar.
  2. Point to Current User, and then click the profile you want to use.

Notes

  • The speech recognition user profile stores information about how an individual speaks and pronounces words. Each person who uses speech recognition on a computer should create his or her own profile.
  • The first speech profile created for a user's account is called Default Speech Profile. If each person using a computer logs on separately, each user will have his or her own default speech profile.
  • If you use speech recognition in different environments with different background sounds, you might want to create profiles for yourself in each environment. Background sound can affect speech recognition accuracy.


Practice using speech recognition

To practice using speech recognition

  1. Make sure the mouse pointer is located in a place where you can enter text, such as in an e-mail message, a document, or a text box in Internet Explorer.
  2. Turn your microphone on by clicking the Microphone Microphone button on the Language bar.

    If you are working in a Microsoft Office XP product, or in WordPad, click Dictation on the Language bar.

  3. Dictate text. Speak clearly, but do not pause between words.

Notes

  • You will probably find it easier to dictate your entire text and then correct errors or format the text after you finish.
  • If you find that speech recognition is generating numerous errors, you might want to conduct another training session to increase accuracy.
  • You can use speech recognition only in programs that support it. Microsoft programs that support speech recognition include WordPad, Internet Explorer 5.0 or later, Outlook Express 5.0 or later, and all Microsoft Office XP programs. Other software programs might also support it. In Internet Explorer, you can use speech to enter text in Web pages, but not in the Address bar.


Correct speech recognition errors

To correct speech recognition errors

  1. Select the error, using the keyboard or mouse.

    If necessary, you can select several words or a phrase.

  2. Repeat the correct word or words.

Notes

  • You can also select the incorrect word or words, and then type the correct text.
  • In some programs, you can select the incorrect word or words and then click the Correction Correction button on the Language bar. You can also right-click the error, and then click the correct text from a list of suggestions. For more information on using this feature, see the online Help in Microsoft Word.
  • If you find that speech recognition is generating numerous errors, you might want to conduct more training to improve accuracy. XOX


Use voice commands to correct speech recognition errors

To use voice commands to correct speech recognition errors

  1. Select the word or phrase you want to correct, using the selection voice commands. For example, if the phrase you wanted to correct was "my feet are tired" you could say "Select my through tired." For more information on voice commands, click Related Topics.
  2. Repeat the correct word or words.

    or

    Say "Correction," and then use voice commands to select the suggested correction from the alternate list.

Notes

  • You can also select the word or words, and then type the correction.
  • You can correct text using voice commands only in some programs, such as Microsoft Word 2002 and Microsoft Outlook 2002 (if you use Microsoft Word as your e-mail editor).
  • In some programs, such as Microsoft Word 2002 and Microsoft Outlook 2002 (if you use Microsoft Word as your e-mail editor), you can select the word or words and then click Correction Correction on the Language bar. You can also right-click the error, and then click the correct text in the list. For more information, see the online Help in Microsoft Word.
  • If you find that speech recognition is generating numerous errors, you might want to conduct more training to improve accuracy. XOX


Add words to the speech recognition dictionary

To add words to the speech recognition dictionary

  1. Click the Tools Tools button on the Language bar.
  2. Click Add/Delete Word(s).
  3. Under Word, type the word you want to add.
  4. Click Record pronunciation and pronounce the word.

    When the word is recognized, it will be added under Dictionary. You might have to say the word more than once before it is added to the list.

Notes

  • This tool is useful for adding unique words, such as company names, that are not likely to be in the speech recognition dictionary.
  • As an alternative, you can say "spelling mode" when you want to spell out a word. For information about using commands, click Related Topics.
  • To delete a word from the dictionary, select the word and then click Delete.
  • In some programs, you can add multiple words at once. For more information, see the online Help in the program you use.


Commands you can use with speech recognition

Using speech recognition, you can enter text into a document by speaking. Along with dictating the actual text of your document, you can use commands to format the text, make corrections, and enter punctuation.

The commands you can use differ from program to program, but basically fall under three categories:

  • Dictation mode commands. These commands are provided by the Microsoft speech engine and are mainly used to help you enter and correct text.

    All Microsoft Office XP programs support Dictation mode, as do WordPad, Internet Explorer 5.0 and later, and Outlook Express 5.0 and later. Microsoft Word 2002 supports a richer set of Dictation mode commands than the other programs.

    Click Commands you can use in Dictation mode for a list of available commands.

  • Voice Command mode commands. These commands are application-specific and are mainly used for formatting text within the context of the application.

    All Microsoft Office XP programs and WordPad support Voice Command mode. Other programs might support this mode in the future.

    Click Commands you can use in Voice Command mode for a list of available commands.

  • Correction window commands. These commands are a specialized command set provided only when you are using one of the correction commands in Dictation mode or Voice Command mode. When you are correcting text using the correction commands, a correction window opens containing the alternate list. The alternate list is a list of suggested corrections that you can use to easily insert corrections into your text.

    All Microsoft Office XP programs and WordPad support correction window commands.

    Click Commands you can use in the correction window for a list of available commands.

Notes

  • Use the buttons on the Language bar to switch between modes. These buttons are not available if the active program does not support Voice Command mode.
  • Say "What can I say" to display a list of available commands. Speech recognition must be set up and working, your microphone must be turned on, and the active program must support speech recognition.


Commands you can use in Dictation mode

Use Dictation mode to enter and correct text. You can use these commands in the following programs:

  • Use all commands listed below in Microsoft Word 2002 and in Microsoft Outlook 2002, if you use Word as your e-mail editor.
  • Use only the basic input commands in programs (other than Word) that support the Microsoft speech engine, including Microsoft Office XP, Internet Explorer 5.0 or later, and Outlook Express 5.0 or later.

To format text, click Commands you can use in Voice Command mode.

To print this topic, click Options on the button bar, and then click Print.

Basic input commands

Say | To
"New line" | Start text on the next line.
"New paragraph" | Start a new paragraph.
"Tab" | Press the TAB key once.
"Enter" | Press the ENTER key once.
"Spelling mode" | Spell out the next word. For example, say this before you spell out a company name or a person's name. Pause after spelling out the word to revert to normal dictation mode.
"Forcenum" | Enter a number or symbol instead of spelling it out. For example, say "Forcenum 2" to enter "2" instead of "two." Pause after saying the number or symbol to revert to normal dictation mode.
"Space" | Insert a space.
"Backspace" | Delete the character to the left of the insertion point.
"Next cell" | Move the insertion point one cell to the right.
"Spell it" | Spell the next word. If the insertion point is within a word, add spelled letters within the word.
"Spell that" | Spell the next word. If the insertion point is within a word, select the current word and replace it with the spelled word.
"Spelling mode" | Go into or out of spelling mode. In spelling mode, you must spell out the words you want entered as text.

The remaining commands in this topic are supported only by programs that offer complete support for advanced text services, such as Microsoft Word 2002.

Selection commands

Say | To
"Select word" or "Select phrase" | Select the word or phrase given.
"Select word" | Select the last recognized word.
"Select that" | Select the last recognized word or phrase.
"Select word through word" | Select a phrase by specifying the first and last words of the phrase.
"Select previous phrase" | Select the nearest recognized phrase to the left of the insertion point.
"Select next phrase" | Select the nearest recognized phrase to the right of the insertion point.
"Unselect that" | Unselect the currently selected text.

Correction commands

Say | To
"Correct word" or "Correct phrase" | Select the word or phrase given and open the alternate list to supply correction options.
"Correction" | Select the selected text or the last recognized phrase and open the alternate list to supply correction options.
"Correct that" | Select the last recognized word or phrase and open the alternate list to supply correction options.
"Correct previous phrase" | Select the nearest recognized phrase to the left of the insertion point and open the alternate list to supply correction options.
"Correct next phrase" | Select the nearest recognized phrase to the right of the insertion point and open the alternate list to supply correction options.
"Insert after word" or "Insert after phrase" | Move the insertion point to the right of the word or phrase given.
"Insert before word" or "Insert before phrase" | Move the insertion point to the left of the word or phrase given.
"Scratch that" | Delete the last recognized phrase.
"Delete" | Delete the selected word of phrase.
"Delete word" | Delete a specific word.
"Delete word through word" | Delete a phrase by specifying the first and last words of the phrase.
"Reconvert" | Replace the last dictated word or phrase by reprocessing the dictated speech.

Editing commands

Say | To
"Cut" | Delete and copy the selected text to the Clipboard.
"Copy" | Copy the selected text to the Clipboard.
"Paste" | Paste the text into the Clipboard at the insertion point.

Navigation commands

Say | To
"Go to top" | Move the insertion point to the beginning of the page.
"Go to bottom" | Move the insertion point to the end of the page.
"Go to beginning of line" | Move the insertion point to the beginning of the current line.
"Go to end of line" | Move the insertion point to the end of the current line.
"Insert after word" or "Insert after phrase" | Move the insertion point to right of the word or phrase given.
"Insert before word" or "Insert before phrase" | Move the insertion point to left of the word or phrase given.

Keyboard simulation commands

Say | To
"New line" | Start text on the next line.
"New paragraph" | Start a new paragraph.
"Enter" | Press the ENTER key once.
"Tab" | Press the TAB key once.
"Space" | Insert a space at the insertion point.
"Backspace" | Delete the character to the left of the insertion point.
"Next cell" | Move the insertion point one cell to the right.
"Move up" | Move the insertion point up one line.
"Move down" | Move the insertion point down one line.
"Move left" | Move the insertion point one character to the left.
"Move right" | Move the insertion point one character to the right.
"Page up" | Move the insertion point up one page.
"Page down" | Move the insertion point down one page.

Capitalization commands

Say | To
"Capitalize" or "Cap that" | Capitalize the first letter of every word in the last phrase or the selected text.
"Uncapitalize" or "No caps that" | Make all letters lowercase in the last recognized phrase or the selected text.
"All caps that" | Capitalize all letters in the last phrase recognized or the selected phrase.
"Cap it phrase" | Capitalize the first letter of the first word in the phrase.
"All caps phrase" | Capitalize all the letters of the first word in the phrase.
"No caps phrase" | Make all letters in the first word of the phrase lowercase.

Punctuation marks and other symbols

You can say the names of punctuation marks to enter those marks. For example, you can say "comma" to add a comma, and you can say "period" to add a period at the end of a sentence. The following table lists most keyboard characters and how to say them when you are dictating.

To insert | Say
. | "Period" or "dot"
, | "Comma"
: | "Colon"
; | "Semi-colon"
? | "Question mark"
! | "Exclamation point"
& | "Ampersand"
* | "Asterisk"
@ | "At sign" or "at"
\ | "Backslash"
/ | "Slash"
| | "Vertical bar"
- | "Hyphen" or "dash"
-- | "Double dash"
= | "Equals"
+ | "Plus" or "plus sign"
# | "Pound sign"
% | "Percent" or "percent sign"
$ | "Dollar sign"
_ | "Underscore"
~ | "Tilde"
... | "Ellipsis"
> | "Greater than"
< | "Less than"
^ | "Caret"
[ | "Open bracket"
] | "Right bracket"
{ | "Open brace"
} | "Close brace"
( | "Paren"
) | "Close paren"
" | "Quote"
' | "Single quote"

Language bar commands

Say | To
"Microphone" | Turn the microphone off.
"Voice Command" | Switch from Dictation mode to Voice Command mode.
"Correction" | Select the selected text or the last recognized phrase and open the alternate list to supply correction options.


Commands you can use in Voice Command mode

Voice Commands are normally specific to a particular program, but some commands are common to many programs. You can use the commands listed below in Microsoft Office XP programs.

To enter and correct text, click Commands you can use in Dictation mode.

To print this topic, click Options on the button bar, and then click Print.

Selection commands

Say | To
"Select word" or "Select phrase" | Select the word or phrase given.
"Select word" | Select the last recognized word.
"Select sentence" | Select the entire sentence in which the insertion point is currently located.
"Select paragraph" | Select the entire paragraph in which the insertion point is currently located.
"Select that" | Select the last recognized word or phrase.
"Select all" | Select the entire document.
"Select word through word" | Select a phrase by specifying the first and last words of the phrase.
"Select previous phrase" | Select the nearest recognized phrase to the left of the insertion point.
"Select next phrase" | Select the nearest recognized phrase to the right of the insertion point.
"Unselect that" | Unselect the currently selected text.

Correction commands

Say | To
"Correct word" or "Correct phrase" | Select the word or phrase given and and open the alternate list to supply correction options.
"Correction" | Select the selected text or the last recognized phrase and open the alternate list to supply correction options.
"Correct that" | Select the last recognized word or phrase and open the alternate list to supply correction options.
"Correct previous phrase" | Select the nearest recognized phrase to the left of the insertion point and open the alternate list to supply correction options.
"Correct next phrase" | Select the nearest recognized phrase to the right of the insertion point and open the alternate list to supply correction options.
"Reconvert" | Select the selected text or the last recognized phrase and open the alternate list to supply correction options. Similar to Correction.
"Scratch that" | Delete the last recognized phrase.
"Delete" | Delete the selected text or the last recognized phrase.
"Delete word" | Delete a specific word.
"Delete word through word" | Delete a phrase by specifying the first and last words of the phrase.
"Select number" | Select one of the alternate phrases or words from the alternate list to make a correction. For number, substitute the number of the entry in the alternate list that you want to use.
"Next" | Move the selector down to the next word or phrase on the alternate list.
"Finalize" | Replace the word or phrase you are correcting with the selected word or phrase from the alternate list.
"Cancel" | Exit the alternate list without changing the selected word or phrase you were correcting.
"Reconvert" | Replace the last dictated word or phrase by reprocessing the dictated speech.

Editing commands

Say | To
"Cut that" | Delete and copy the selected text to the Clipboard.
"Copy that" | Copy the selected text to the Clipboard.
"Paste that" | Paste the text into the Clipboard at the insertion point.
"Undo that" | Undo the last action.

Navigation commands

Say | To
"Go to top" | Move the insertion point to the beginning of the page.
"Go to bottom" | Move the insertion point to the end of the page.
"Go to beginning of line" | Move the insertion point to the beginning of the current line.
"Go to end of line" | Move the insertion point to the end of the current line.
"Insert after word" or "Insert after phrase" | Move the insertion point to right of the word or phrase given.
"Insert before word" or "Insert before phrase" | Move the insertion point to left of the word or phrase given.

Keyboard simulation commands

Say | To
"New line" | Start text on the next line.
"New paragraph" | Start a new paragraph.
"Enter" | Press the ENTER key once.
"Tab" | Press the TAB key once.
"Space" | Insert a space at the insertion point.
"Backspace" | Delete the character to the left of the insertion point.
"Next cell" | Move the insertion point one cell to the right.
"Move up" | Move the insertion point up one line.
"Move down" | Move the insertion point down one line.
"Move left" | Move the insertion point one character to the left.
"Move right" | Move the insertion point one character to the right.
"Page up" | Move the insertion point up one page.
"Page down" | Move the insertion point down one page.

Capitalization commands

Say | To
"Capitalize" or "Cap that" | Capitalize the first letter of every word in the last phrase or the selected text.
"Uncapitalize" or "No caps that" | Make all letters lowercase in the last recognized phrase or the selected text.
"All caps that" | Capitalize all letters in the last phrase recognized or the selected phrase.
"Cap it phrase" | Capitalize the first letter of the first word in the phrase.
"All caps phrase" | Capitalize all the letters of the first word in the phrase.
"No caps phrase" | Make all letters in the first word of the phrase lowercase.

Language bar commands

Say | To
"Microphone" | Turn the microphone off.
"Dictation" | Switch from Voice Command mode to Dictation mode.
"Correction" | Select the selected text or the last recognized phrase and open the alternate list to supply correction options.
"Speak text" | Switch from Voice Command mode to Text-to-speech (TTS) mode. This command is available only if the TTS button is available and when the program you are currently using supports this feature.
"Pause speaking" | Cause TTS to temporarily stop reading text from your document. When you resume TTS, it will start from the point in the document at which you paused it.
"Resume speaking" | Cause TTS to resume reading text from the place where it was paused in your document.
"Help" | Open the Language bar Help file.

Note

  • In Microsoft Word 2002 (and Microsoft Outlook 2002, if you use Word as your e-mail editor), you can use Voice Command mode to select menus, menu commands, and options in dialog boxes by pronouncing the desired command or label. You can also format text by saying "bold" or "italic," and navigate within a document with commands such as "tab" or "go up." For more information about commands, see the online Help in Microsoft Word.


Commands you can use in the correction window

Use commands in the correction window to insert suggested corrections into your text. These commands are a specialized command set provided only when you are using one of the correction commands in Dictation mode or Voice Command mode. When you are correcting text using the correction commands, a correction window opens containing the alternate list. The alternate list is a list of suggested corrections that you can use to easily insert corrections into your document.

You can use these commands in the programs that support the Microsoft speech engine, including Microsoft Office XP, WordPad, Internet Explorer 5.0 or later, and Outlook Express 5.0 or later.

To format text, click Commands you can use in Voice Command mode.

To enter and correct text, click Commands you can use in Dictation mode.

To print this topic, click Options on the button bar, and then click Print.

Correction window commands

Say | To
"Select number" | Insert the numbered suggestion from the alternate list into your text. The suggestions are numbered one through nine. For example, say "Select three" to insert the suggested correction at the number three position in the alternate list.
"Cancel" | Close the correction window without inserting a correction.
"Select" or "Select that" or "Finalize" | Insert the selected correction from the alternate list into your text.
"Next" | Move the selection down to the next suggested correction in the alternate list. If the ninth or last suggestion is currently selected, the first suggested correction is selected.
"Page down" | Move the selection down to the first suggested correction in the alternate list.
"Page up" | Move the selection down to the last suggested correction in the alternate list.


Configure keys to switch between speech input modes

To configure keys to switch between speech input modes

  1. On the Language bar, click the Tools Tools button, and then click Options.
  2. On the Dictation tab, under Mode Keys, click Assign mode keys. The default mode keys are F11 to enter Dictation mode and F12 to enter Voice Command mode.
  3. If you want to change the keys you use to switch modes, click Settings.

Notes

  • Using this feature, you can use the keyboard to switch from Dictation mode to Voice Command mode and back again. You can also do this by clicking Dictation or Voice Command on the Language bar, or by using voice commands.
  • Only function keys and certain other symbol and special-purpose keys can be used to switch modes. Key combinations such as SHIFT+key are not supported.


Using text-to-speech

If you use speech recognition, you can have text read back to you without opening another program like Narrator. The text-to-speech function is initially available only in Microsoft Word 2002, though it might become available in other programs.

To turn on text-to-speech

  1. On the Language bar, click Options Options.
  2. Click Speak Text, and then click Pause Speaking so that a check mark appears next to each command.

    Both buttons now appear on the Language bar.

To use text-to-speech

  1. Select the text you want to have read back to you.
  2. Click the Speak Text button on the Language bar.

To pause text-to-speech

  • Click the Pause Speaking button on the Language bar.

Important

  • Speech recognition engines are language-specific. The first three Microsoft speech engines that are available are Simplified Chinese, U.S. English, and Japanese. Engines for other languages will become available.

Guidelines for using text-to-speech

  • If you have selected text, text-to-speech reads all of the selected text. If you have not selected text, text-to-speech reads the text from the insertion point to the end of the text that is in view.
  • You must have working speakers or headphones attached to your computer to use text-to-speech.